//-----------------------------------------------------------------------------
//
//  buttons.h
//
//  Stylophone Studio 5
//  A USB MIDI controllable reproduction of the original 1968 Stylophone
//
//  Copyright (c) 2011 Simon Inns
//
//  Permission is hereby granted, free of charge, to any person obtaining a
//  copy of this software and associated documentation files (the "Software"),
//  to deal in the Software without restriction, including without limitation
//  the rights to use, copy, modify, merge, publish, distribute, sublicense,
//  and/or sell copies of the Software, and to permit persons to whom the
//  Software is furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in
//  all copies or substantial portions of the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
//  DEALINGS IN THE SOFTWARE.
//
//  Web:    http://www.waitingforfriday.com
//  Email:  simon.inns@gmail.com
//
//-----------------------------------------------------------------------------

#ifndef BUTTONS_H_
#define BUTTONS_H_

// Definitions for buttons (port B)
#define BUTTONS_CHANGE_TUNING	(1 << 1)
#define BUTTONS_TUNE			(1 << 7)
#define BUTTONS_PORTB_BUTTONS	(BUTTONS_CHANGE_TUNING | BUTTONS_TUNE)

// Definitions for buttons (port E)
#define BUTTONS_VIBRATO			(1 << 6)
#define BUTTONS_PORTE_BUTTONS		(BUTTONS_VIBRATO)

#define BUTTONS_VIBRATO_ID			0
#define BUTTONS_CHANGE_TUNING_ID	1
#define BUTTONS_TUNE_ID				2

// Number of read states before change (debounce)
#define BUTTONS_DEBOUNCE_AMOUNT		20

// Function prototypes
void buttonsInitialise(void);
void buttonsPoll(void);
uint8_t buttonStatus(uint8_t button);
uint8_t buttonReadTest(uint8_t button);

#endif /* BUTTONS_H_ */