//-----------------------------------------------------------------------------
//
//  noteStealing.h
//
//  Stylophone Studio 5
//  A USB MIDI controllable reproduction of the original 1968 Stylophone
//
//  Copyright (c) 2011 Simon Inns
//
//  Permission is hereby granted, free of charge, to any person obtaining a
//  copy of this software and associated documentation files (the "Software"),
//  to deal in the Software without restriction, including without limitation
//  the rights to use, copy, modify, merge, publish, distribute, sublicense,
//  and/or sell copies of the Software, and to permit persons to whom the
//  Software is furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in
//  all copies or substantial portions of the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
//  DEALINGS IN THE SOFTWARE.
//
//  Web:    http://www.waitingforfriday.com
//  Email:  simon.inns@gmail.com
//
//-----------------------------------------------------------------------------

#ifndef NOTESTEALING_H_
#define NOTESTEALING_H_

// Defines for linked list
#define SLL_VALUE	0
#define SLL_POINTER	1

// Note: The list can only contain numbers 0-253
#define SLL_NULL	254
#define SLL_END		255

// Maximum number of notes to be stored in the list
#define MAXIMUM_NOTES 10

// Function prototypes
void noteOn(uint8_t note, uint16_t pitchBendValue);
void noteOff(uint8_t note, uint16_t pitchBendValue);
void allNotesOff(void);
void adjustNotePitch(uint16_t pitchBendValue);

void initNoteList(void);
void addNoteToList(uint8_t noteValue);
void deleteNoteFromList(uint8_t noteValue);
uint8_t getMostRecentNoteFromList(void);

#endif /* NOTESTEALING_H_ */