//-----------------------------------------------------------------------------
//
//  notevalues.h
//
//  Stylophone Studio 5
//  A USB MIDI controllable reproduction of the original 1968 Stylophone
//
//  Copyright (c) 2011 Simon Inns
//
//  Permission is hereby granted, free of charge, to any person obtaining a
//  copy of this software and associated documentation files (the "Software"),
//  to deal in the Software without restriction, including without limitation
//  the rights to use, copy, modify, merge, publish, distribute, sublicense,
//  and/or sell copies of the Software, and to permit persons to whom the
//  Software is furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in
//  all copies or substantial portions of the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
//  DEALINGS IN THE SOFTWARE.
//
//  Web:    http://www.waitingforfriday.com
//  Email:  simon.inns@gmail.com
//
//-----------------------------------------------------------------------------

#ifndef NOTEVALUES_H_
#define NOTEVALUES_H_

// This table maps the frequency in Hertz to note number
static uint16_t noteFrequency[44] = {	
	55,		// A1		0
	58,		// A1S		1
	62,		// B1		2
	65,		// C2		3
	70,		// C2S		4
	74,		// D2		5
	78,		// D2S		6
	82,		// E2		7
	87,		// F2		8
	93,		// F2S		9
	98,		// G2		10
	104,	// G2S		11
	110,	// A2		12
	117,	// A2S		13
	124,	// B2		14
	131,	// C3		15
	139,	// C3S		16
	147,	// D3		17
	156,	// D3S		18
	165,	// E3		19
	175,	// F3		20
	185,	// F3S		21
	196,	// G3		22
	208,	// G3S		23
	220,	// A3		24
	233,	// A3S		25
	247,	// B3		26
	262,	// C4		27
	277,	// C4S		28
	294,	// D4		29
	311,	// D4S		30
	330,	// E4		31
	349,	// F4		32
	370,	// F4S		33
	391,	// G4		34
	415,	// G4S		35
	440,	// A4		36
	466,	// A4S		37
	494,	// B4		38
	523,	// C5		39
	554,	// C5S		40
	587,	// D5		41
	622,	// D5S		42
	659		// E5		43
};

#endif /* NOTEVALUES_H_ */